Bug 442066 - cannot choose arch for hvm guest
cannot choose arch for hvm guest
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: virt-manager (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Daniel Berrange
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-11 11:26 EDT by Cole Robinson
Modified: 2009-12-14 16:16 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-25 12:22:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Cole Robinson 2008-04-11 11:26:36 EDT
The create wizard in virt-manager does not allow the user to choose the arch for
a FV guest. I checked the 5.1 packages and this is NOT a regression, and since
no one has reported it for a few release cycles, it doesn't seem to be too big
of a deal.

virt-manager-0.5.3-7.el5
Comment 1 Jens Petersen 2008-05-05 21:59:39 EDT
How does one actually run FV from a pure RHEL5 install?

I was about to file a bug to get it the FV disabled by default,
but maybe I am missing something - I was assuming that is
why the arch selector is empty?
Comment 2 Daniel Berrange 2008-05-06 11:34:09 EDT
Choosing arch is non-sensical for Xen fullvirt. It only supports 1 arch, which
is that of the host machine. The arch selection UI is there for other non-Xen
libvir drivers such as QEMU.
Comment 3 Cole Robinson 2008-05-06 11:43:06 EDT
What about 32 on 64? Is that just for paravirt? I know it's not officially
supported anyways but if it ever becomes official we should consider allowing it
in virt-manager.
Comment 4 Daniel Berrange 2008-05-06 11:50:28 EDT
The arch drop down is refering to the architecture of the 'domain', which may or
may not be the same as the architecture of the guest OS. ie, a 32-bit guest OS
can run in a 64-bit domain. Xen HVM is emulating a 64-bit domain, that can run
32 or 64 bit OS. So there's no need to select a different arch for a 32-bit
guest OS on a 64-bit host
Comment 5 Cole Robinson 2008-05-06 12:16:52 EDT
ah I see. that's certainly a bit confusing. i'll close this bug if there are no
objections.
Comment 6 Jens Petersen 2008-05-06 20:41:29 EDT
So how about hiding the arch selector and kvm box when they are not relevant?
Comment 7 Cole Robinson 2008-06-25 12:22:30 EDT
I'd rather not hide UI pieces, it just creates an inconsistent experience
between hypervisors. Same could be said for disabling UI, but its more of a "Oh
this is explicitly disabled, must not apply here" vs. "where the heck did that
checkbox go?"

Anyways, the original bug was NOTABUG, so closing

Note You need to log in before you can comment on or make changes to this bug.